From: Daniel Schepler <schepler@debian.org>
Date: Sun, 6 Oct 2013 18:13:14 +0200
Subject: 01_gcc43_includes

---
 src/listener.cpp   | 1 +
 src/listenport.cpp | 1 +
 src/server.cpp     | 1 +
 src/socket.cpp     | 1 +
 4 files changed, 4 insertions(+)

diff --git a/src/listener.cpp b/src/listener.cpp
index 7e430cf..1e23325 100644
--- a/src/listener.cpp
+++ b/src/listener.cpp
@@ -31,6 +31,7 @@
 
 #include <netdb.h>
 #include <unistd.h>
+#include <stdlib.h>
 
 #include "listener.h"
 #include "listenport.h"
diff --git a/src/listenport.cpp b/src/listenport.cpp
index b131c81..1335487 100644
--- a/src/listenport.cpp
+++ b/src/listenport.cpp
@@ -30,6 +30,7 @@
 #include <fcntl.h>
 #include <netdb.h>
 #include <unistd.h>
+#include <string.h>
 
 #include "listenport.h"
 
diff --git a/src/server.cpp b/src/server.cpp
index d749419..cf5dd7a 100644
--- a/src/server.cpp
+++ b/src/server.cpp
@@ -26,6 +26,7 @@
 
 #include <string>
 #include <stdio.h>
+#include <stdlib.h>
 
 // In real applications, use the following include instead of the local.
 // #include <libcapsinetwork/socket.h>
diff --git a/src/socket.cpp b/src/socket.cpp
index 65bcef8..ba7005e 100644
--- a/src/socket.cpp
+++ b/src/socket.cpp
@@ -25,6 +25,7 @@
 #include <stdarg.h>
 #include <stdio.h>
 #include <unistd.h>
+#include <string.h>
 
 #include "socket.h"
 
